export interface Analytics {
    pageview(page: string): void;
    timing(category: string, variable: string, time: number): void;
    event(category: string, action: string, label?: string, value?: string | number): void;
}
export declare class NoAnalytics implements Analytics {
    pageview(_page: string): void;
    timing(_category: string, _variable: string, _time: number): void;
    event(_category: string, _action: string, _label?: string, _value?: string | number): void;
}
export declare class GoogleAnalytics implements Analytics {
    private readonly visitor;
    constructor();
    ciProvider: string;
    pageview(page: string): void;
    timing(category: string, variable: string, time: number): void;
    event(category: string, action: string, label?: string, value?: string | number): void;
}
