export declare type TelemetryState = "none" | "disabled" | "enabled";
export declare function init(): Promise<void>;
export declare function pageview(page: string): void;
export declare function timing(category: string, variable: string, time: number): void;
export declare function event(category: string, action: string, label?: string, value?: string | number): void;
export declare function enable(): void;
export declare function disable(): void;
export declare function state(): TelemetryState;
export declare function setState(newState: TelemetryState): void;
export declare function timeAsync<T>(variable: string, work: () => Promise<T>): Promise<T>;
export declare const TELEMETRY_HEADER = "Please help improve quicktype by enabling anonymous telemetry with:\n\n  $ quicktype --telemetry enable\n\nYou can also enable telemetry on any quicktype invocation:\n\n  $ quicktype pokedex.json -o Pokedex.cs --telemetry enable\n\nThis helps us improve quicktype by measuring:\n\n  * How many people use quicktype\n  * Which features are popular or unpopular\n  * Performance\n  * Errors\n\nquicktype does not collect:\n\n  * Your filenames or input data\n  * Any personally identifiable information (PII)\n  * Anything not directly related to quicktype's usage\n\nIf you don't want to help improve quicktype, you can dismiss this message with:\n\n  $ quicktype --telemetry disable\n\nFor a full privacy policy, visit app.quicktype.io/privacy\n";
